package com.hzya.frame.grpU8.dictAcctSubj.entity;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * 子表(DictAcctSubj)实体类
 *
 * @author makejava
 * @since 2024-07-09 11:23:36
 */
public class DictAcctSubjEntityVo {

  /**  年度 */
   private String acct_year;
  /**  会计科目编码 */
   private String acct_subj_code;
  /**  会计科目名称 */
   private String acct_subj_name;
  /**  上级编码 */
   private String supper_code;
  /**  科目级次 */
   private String subj_level;
  /**  是否末级 */
   private String is_last;
  /**  科目类型编码 */
   private String subj_type_code;
  /**  科目类型名称 */
   private String subj_type_name;
  /**  借贷方向 */
   private String direction;
  /**  是否现金 */
   private String is_cash;
  /**  科目性质 */
   private String subj_nature_code;
  /**  是否辅助核算 */
   private String is_check;
  /**  是否停用 */
   private String is_stop;
  /**  预算会计科目编码 */
   private String budg_subj_code;
  /**  预算会计科目名称 */
   private String budg_subj_name;
  /**  辅助核算项1 */
   private String check_type_name1;
  /**  辅助核算项2 */
   private String check_type_name2;
  /**  辅助核算项3 */
   private String check_type_name3;
  /**  辅助核算项4 */
   private String check_type_name4;
  /**  辅助核算项5 */
   private String check_type_name5;
  /**  辅助核算项6 */
   private String check_type_name6;
  /**  辅助核算项7 */
   private String check_type_name7;
  /**  辅助核算项8 */
   private String check_type_name8;
  /**  单位编码 */
   private String org_code;
  /**  单位名称 */
   private String org_name;
  /**  院区编码 */
   private String branch_code;
  /**  院区名称 */
   private String branch_name;

    public String getAcct_year() {
        return acct_year;
    }

    public void setAcct_year(String acct_year) {
        this.acct_year = acct_year;
    }

    public String getAcct_subj_code() {
        return acct_subj_code;
    }

    public void setAcct_subj_code(String acct_subj_code) {
        this.acct_subj_code = acct_subj_code;
    }

    public String getAcct_subj_name() {
        return acct_subj_name;
    }

    public void setAcct_subj_name(String acct_subj_name) {
        this.acct_subj_name = acct_subj_name;
    }

    public String getSupper_code() {
        return supper_code;
    }

    public void setSupper_code(String supper_code) {
        this.supper_code = supper_code;
    }

    public String getSubj_level() {
        return subj_level;
    }

    public void setSubj_level(String subj_level) {
        this.subj_level = subj_level;
    }

    public String getIs_last() {
        return is_last;
    }

    public void setIs_last(String is_last) {
        this.is_last = is_last;
    }

    public String getSubj_type_code() {
        return subj_type_code;
    }

    public void setSubj_type_code(String subj_type_code) {
        this.subj_type_code = subj_type_code;
    }

    public String getSubj_type_name() {
        return subj_type_name;
    }

    public void setSubj_type_name(String subj_type_name) {
        this.subj_type_name = subj_type_name;
    }

    public String getDirection() {
        return direction;
    }

    public void setDirection(String direction) {
        this.direction = direction;
    }

    public String getIs_cash() {
        return is_cash;
    }

    public void setIs_cash(String is_cash) {
        this.is_cash = is_cash;
    }

    public String getSubj_nature_code() {
        return subj_nature_code;
    }

    public void setSubj_nature_code(String subj_nature_code) {
        this.subj_nature_code = subj_nature_code;
    }

    public String getIs_check() {
        return is_check;
    }

    public void setIs_check(String is_check) {
        this.is_check = is_check;
    }

    public String getIs_stop() {
        return is_stop;
    }

    public void setIs_stop(String is_stop) {
        this.is_stop = is_stop;
    }

    public String getBudg_subj_code() {
        return budg_subj_code;
    }

    public void setBudg_subj_code(String budg_subj_code) {
        this.budg_subj_code = budg_subj_code;
    }

    public String getBudg_subj_name() {
        return budg_subj_name;
    }

    public void setBudg_subj_name(String budg_subj_name) {
        this.budg_subj_name = budg_subj_name;
    }

    public String getCheck_type_name1() {
        return check_type_name1;
    }

    public void setCheck_type_name1(String check_type_name1) {
        this.check_type_name1 = check_type_name1;
    }

    public String getCheck_type_name2() {
        return check_type_name2;
    }

    public void setCheck_type_name2(String check_type_name2) {
        this.check_type_name2 = check_type_name2;
    }

    public String getCheck_type_name3() {
        return check_type_name3;
    }

    public void setCheck_type_name3(String check_type_name3) {
        this.check_type_name3 = check_type_name3;
    }

    public String getCheck_type_name4() {
        return check_type_name4;
    }

    public void setCheck_type_name4(String check_type_name4) {
        this.check_type_name4 = check_type_name4;
    }

    public String getCheck_type_name5() {
        return check_type_name5;
    }

    public void setCheck_type_name5(String check_type_name5) {
        this.check_type_name5 = check_type_name5;
    }

    public String getCheck_type_name6() {
        return check_type_name6;
    }

    public void setCheck_type_name6(String check_type_name6) {
        this.check_type_name6 = check_type_name6;
    }

    public String getCheck_type_name7() {
        return check_type_name7;
    }

    public void setCheck_type_name7(String check_type_name7) {
        this.check_type_name7 = check_type_name7;
    }

    public String getCheck_type_name8() {
        return check_type_name8;
    }

    public void setCheck_type_name8(String check_type_name8) {
        this.check_type_name8 = check_type_name8;
    }

    public String getOrg_code() {
        return org_code;
    }

    public void setOrg_code(String org_code) {
        this.org_code = org_code;
    }

    public String getOrg_name() {
        return org_name;
    }

    public void setOrg_name(String org_name) {
        this.org_name = org_name;
    }

    public String getBranch_code() {
        return branch_code;
    }

    public void setBranch_code(String branch_code) {
        this.branch_code = branch_code;
    }

    public String getBranch_name() {
        return branch_name;
    }

    public void setBranch_name(String branch_name) {
        this.branch_name = branch_name;
    }
}

